Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.impl
Class NewProxyDatabaseMetaData

    java.lang.Object
      com.mchange.v2.c3p0.impl.NewProxyDatabaseMetaData

All Implemented Interfaces:
  java.sql.DatabaseMetaData

    public final class NewProxyDatabaseMetaData

extends java.lang.Object
implements java.sql.DatabaseMetaData

This class was generated by com.mchange.v2.c3p0.codegen.JdbcProxyGenerator$NewProxyMetaDataGenerator.

Field Summary
`protected java.sql.DatabaseMetaData` | `inner`

Fields inherited from interface java.sql.DatabaseMetaData
`attributeNoNulls, attributeNullable, attributeNullableUnknown, bestRowNotPseudo, bestRowPseudo, bestRowSession, bestRowTemporary, bestRowTransaction, bestRowUnknown, columnNoNulls, columnNullable, columnNullableUnknown, importedKeyCascade, importedKeyInitiallyDeferred, importedKeyInitiallyImmediate, importedKeyNoAction, importedKeyNotDeferrable, importedKeyRestrict, importedKeySetDefault, importedKeySetNull, procedureColumnIn, procedureColumnInOut, procedureColumnOut, procedureColumnResult, procedureColumnReturn, procedureColumnUnknown, procedureNoNulls, procedureNoResult, procedureNullable, procedureNullableUnknown, procedureResultUnknown, procedureReturnsResult, sqlStateSQL99, sqlStateXOpen, tableIndexClustered, tableIndexHashed, tableIndexOther, tableIndexStatistic, typeNoNulls, typeNullable, typeNullableUnknown, typePredBasic, typePredChar, typePredNone, typeSearchable, versionColumnNotPseudo, versionColumnPseudo, versionColumnUnknown`

Constructor Summary
`NewProxyDatabaseMetaData(java.sql.DatabaseMetaData inner)`

Method Summary
`boolean` | `allProceduresAreCallable()`
`boolean` | `allTablesAreSelectable()`
`boolean` | `dataDefinitionCausesTransactionCommit()`
`boolean` | `dataDefinitionIgnoredInTransactions()`
`boolean` | `deletesAreDetected(int a)`
`boolean` | `doesMaxRowSizeIncludeBlobs()`
`java.sql.ResultSet` | `getAttributes(java.lang.String a, java.lang.String b, java.lang.String c, java.lang.String d)`
`java.sql.ResultSet` | `getBestRowIdentifier(java.lang.String a, java.lang.String b, java.lang.String c, int d, boolean e)`
`java.sql.ResultSet` | `getCatalogs()`
`java.lang.String` | `getCatalogSeparator()`
`java.lang.String` | `getCatalogTerm()`
`java.sql.ResultSet` | `getColumnPrivileges(java.lang.String a, java.lang.String b, java.lang.String c, java.lang.String d)`
`java.sql.ResultSet` | `getColumns(java.lang.String a, java.lang.String b, java.lang.String c, java.lang.String d)`
`java.sql.Connection` | `getConnection()`
`java.sql.ResultSet` | `getCrossReference(java.lang.String a, java.lang.String b, java.lang.String c, java.lang.String d, java.lang.String e, java.lang.String f)`
`int` | `getDatabaseMajorVersion()`
`int` | `getDatabaseMinorVersion()`
`java.lang.String` | `getDatabaseProductName()`
`java.lang.String` | `getDatabaseProductVersion()`
`int` | `getDefaultTransactionIsolation()`
`int` | `getDriverMajorVersion()`
`int` | `getDriverMinorVersion()`
`java.lang.String` | `getDriverName()`
`java.lang.String` | `getDriverVersion()`
`java.sql.ResultSet` | `getExportedKeys(java.lang.String a, java.lang.String b, java.lang.String c)`
`java.lang.String` | `getExtraNameCharacters()`
`java.lang.String` | `getIdentifierQuoteString()`
`java.sql.ResultSet` | `getImportedKeys(java.lang.String a, java.lang.String b, java.lang.String c)`
`java.sql.ResultSet` | `getIndexInfo(java.lang.String a, java.lang.String b, java.lang.String c, boolean d, boolean e)`
`int` | `getJDBCMajorVersion()`
`int` | `getJDBCMinorVersion()`
`int` | `getMaxBinaryLiteralLength()`
`int` | `getMaxCatalogNameLength()`
`int` | `getMaxCharLiteralLength()`
`int` | `getMaxColumnNameLength()`
`int` | `getMaxColumnsInGroupBy()`
`int` | `getMaxColumnsInIndex()`
`int` | `getMaxColumnsInOrderBy()`
`int` | `getMaxColumnsInSelect()`
`int` | `getMaxColumnsInTable()`
`int` | `getMaxConnections()`
`int` | `getMaxCursorNameLength()`
`int` | `getMaxIndexLength()`
`int` | `getMaxProcedureNameLength()`
`int` | `getMaxRowSize()`
`int` | `getMaxSchemaNameLength()`
`int` | `getMaxStatementLength()`
`int` | `getMaxStatements()`
`int` | `getMaxTableNameLength()`
`int` | `getMaxTablesInSelect()`
`int` | `getMaxUserNameLength()`
`java.lang.String` | `getNumericFunctions()`
`java.sql.ResultSet` | `getPrimaryKeys(java.lang.String a, java.lang.String b, java.lang.String c)`
`java.sql.ResultSet` | `getProcedureColumns(java.lang.String a, java.lang.String b, java.lang.String c, java.lang.String d)`
`java.sql.ResultSet` | `getProcedures(java.lang.String a, java.lang.String b, java.lang.String c)`
`java.lang.String` | `getProcedureTerm()`
`int` | `getResultSetHoldability()`
`java.sql.ResultSet` | `getSchemas()`
`java.lang.String` | `getSchemaTerm()`
`java.lang.String` | `getSearchStringEscape()`
`java.lang.String` | `getSQLKeywords()`
`int` | `getSQLStateType()`
`java.lang.String` | `getStringFunctions()`
`java.sql.ResultSet` | `getSuperTables(java.lang.String a, java.lang.String b, java.lang.String c)`
`java.sql.ResultSet` | `getSuperTypes(java.lang.String a, java.lang.String b, java.lang.String c)`
`java.lang.String` | `getSystemFunctions()`
`java.sql.ResultSet` | `getTablePrivileges(java.lang.String a, java.lang.String b, java.lang.String c)`
`java.sql.ResultSet` | `getTables(java.lang.String a, java.lang.String b, java.lang.String c, java.lang.String[] d)`
`java.sql.ResultSet` | `getTableTypes()`
`java.lang.String` | `getTimeDateFunctions()`
`java.sql.ResultSet` | `getTypeInfo()`
`java.sql.ResultSet` | `getUDTs(java.lang.String a, java.lang.String b, java.lang.String c, int[] d)`
`java.lang.String` | `getURL()`
`java.lang.String` | `getUserName()`
`java.sql.ResultSet` | `getVersionColumns(java.lang.String a, java.lang.String b, java.lang.String c)`
`boolean` | `insertsAreDetected(int a)`
`boolean` | `isCatalogAtStart()`
`boolean` | `isReadOnly()`
`boolean` | `locatorsUpdateCopy()`
`boolean` | `nullPlusNonNullIsNull()`
`boolean` | `nullsAreSortedAtEnd()`
`boolean` | `nullsAreSortedAtStart()`
`boolean` | `nullsAreSortedHigh()`
`boolean` | `nullsAreSortedLow()`
`boolean` | `othersDeletesAreVisible(int a)`
`boolean` | `othersInsertsAreVisible(int a)`
`boolean` | `othersUpdatesAreVisible(int a)`
`boolean` | `ownDeletesAreVisible(int a)`
`boolean` | `ownInsertsAreVisible(int a)`
`boolean` | `ownUpdatesAreVisible(int a)`
`boolean` | `storesLowerCaseIdentifiers()`
`boolean` | `storesLowerCaseQuotedIdentifiers()`
`boolean` | `storesMixedCaseIdentifiers()`
`boolean` | `storesMixedCaseQuotedIdentifiers()`
`boolean` | `storesUpperCaseIdentifiers()`
`boolean` | `storesUpperCaseQuotedIdentifiers()`
`boolean` | `supportsAlterTableWithAddColumn()`
`boolean` | `supportsAlterTableWithDropColumn()`
`boolean` | `supportsANSI92EntryLevelSQL()`
`boolean` | `supportsANSI92FullSQL()`
`boolean` | `supportsANSI92IntermediateSQL()`
`boolean` | `supportsBatchUpdates()`
`boolean` | `supportsCatalogsInDataManipulation()`
`boolean` | `supportsCatalogsInIndexDefinitions()`
`boolean` | `supportsCatalogsInPrivilegeDefinitions()`
`boolean` | `supportsCatalogsInProcedureCalls()`
`boolean` | `supportsCatalogsInTableDefinitions()`
`boolean` | `supportsColumnAliasing()`
`boolean` | `supportsConvert()`
`boolean` | `supportsConvert(int a, int b)`
`boolean` | `supportsCoreSQLGrammar()`
`boolean` | `supportsCorrelatedSubqueries()`
`boolean` | `supportsDataDefinitionAndDataManipulationTransactions()`
`boolean` | `supportsDataManipulationTransactionsOnly()`
`boolean` | `supportsDifferentTableCorrelationNames()`
`boolean` | `supportsExpressionsInOrderBy()`
`boolean` | `supportsExtendedSQLGrammar()`
`boolean` | `supportsFullOuterJoins()`
`boolean` | `supportsGetGeneratedKeys()`
`boolean` | `supportsGroupBy()`
`boolean` | `supportsGroupByBeyondSelect()`
`boolean` | `supportsGroupByUnrelated()`
`boolean` | `supportsIntegrityEnhancementFacility()`
`boolean` | `supportsLikeEscapeClause()`
`boolean` | `supportsLimitedOuterJoins()`
`boolean` | `supportsMinimumSQLGrammar()`
`boolean` | `supportsMixedCaseIdentifiers()`
`boolean` | `supportsMixedCaseQuotedIdentifiers()`
`boolean` | `supportsMultipleOpenResults()`
`boolean` | `supportsMultipleResultSets()`
`boolean` | `supportsMultipleTransactions()`
`boolean` | `supportsNamedParameters()`
`boolean` | `supportsNonNullableColumns()`
`boolean` | `supportsOpenCursorsAcrossCommit()`
`boolean` | `supportsOpenCursorsAcrossRollback()`
`boolean` | `supportsOpenStatementsAcrossCommit()`
`boolean` | `supportsOpenStatementsAcrossRollback()`
`boolean` | `supportsOrderByUnrelated()`
`boolean` | `supportsOuterJoins()`
`boolean` | `supportsPositionedDelete()`
`boolean` | `supportsPositionedUpdate()`
`boolean` | `supportsResultSetConcurrency(int a, int b)`
`boolean` | `supportsResultSetHoldability(int a)`
`boolean` | `supportsResultSetType(int a)`
`boolean` | `supportsSavepoints()`
`boolean` | `supportsSchemasInDataManipulation()`
`boolean` | `supportsSchemasInIndexDefinitions()`
`boolean` | `supportsSchemasInPrivilegeDefinitions()`
`boolean` | `supportsSchemasInProcedureCalls()`
`boolean` | `supportsSchemasInTableDefinitions()`
`boolean` | `supportsSelectForUpdate()`
`boolean` | `supportsStatementPooling()`
`boolean` | `supportsStoredProcedures()`
`boolean` | `supportsSubqueriesInComparisons()`
`boolean` | `supportsSubqueriesInExists()`
`boolean` | `supportsSubqueriesInIns()`
`boolean` | `supportsSubqueriesInQuantifieds()`
`boolean` | `supportsTableCorrelationNames()`
`boolean` | `supportsTransactionIsolationLevel(int a)`
`boolean` | `supportsTransactions()`
`boolean` | `supportsUnion()`
`boolean` | `supportsUnionAll()`
`boolean` | `updatesAreDetected(int a)`
`boolean` | `usesLocalFilePerTable()`
`boolean` | `usesLocalFiles()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inner

    protected java.sql.DatabaseMetaData inner

Constructor Detail

### NewProxyDatabaseMetaData

    public NewProxyDatabaseMetaData(java.sql.DatabaseMetaData inner)

Method Detail

### getResultSetHoldability

    public final int getResultSetHoldability()
                                      throws java.sql.SQLException

  Specified by:
    `getResultSetHoldability` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### allProceduresAreCallable

    public final boolean allProceduresAreCallable()
                                           throws java.sql.SQLException

  Specified by:
    `allProceduresAreCallable` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### allTablesAreSelectable

    public final boolean allTablesAreSelectable()
                                         throws java.sql.SQLException

  Specified by:
    `allTablesAreSelectable` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### dataDefinitionCausesTransactionCommit

    public final boolean dataDefinitionCausesTransactionCommit()
                                                        throws java.sql.SQLException

  Specified by:
    `dataDefinitionCausesTransactionCommit` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### dataDefinitionIgnoredInTransactions

    public final boolean dataDefinitionIgnoredInTransactions()
                                                      throws java.sql.SQLException

  Specified by:
    `dataDefinitionIgnoredInTransactions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### deletesAreDetected

    public final boolean deletesAreDetected(int a)
                                     throws java.sql.SQLException

  Specified by:
    `deletesAreDetected` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### doesMaxRowSizeIncludeBlobs

    public final boolean doesMaxRowSizeIncludeBlobs()
                                             throws java.sql.SQLException

  Specified by:
    `doesMaxRowSizeIncludeBlobs` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getBestRowIdentifier

    public final java.sql.ResultSet getBestRowIdentifier(java.lang.String a,
                                                         java.lang.String b,
                                                         java.lang.String c,
                                                         int d,
                                                         boolean e)
                                                  throws java.sql.SQLException

  Specified by:
    `getBestRowIdentifier` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getCatalogSeparator

    public final java.lang.String getCatalogSeparator()
                                               throws java.sql.SQLException

  Specified by:
    `getCatalogSeparator` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getCatalogTerm

    public final java.lang.String getCatalogTerm()
                                          throws java.sql.SQLException

  Specified by:
    `getCatalogTerm` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getCatalogs

    public final java.sql.ResultSet getCatalogs()
                                         throws java.sql.SQLException

  Specified by:
    `getCatalogs` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getColumnPrivileges

    public final java.sql.ResultSet getColumnPrivileges(java.lang.String a,
                                                        java.lang.String b,
                                                        java.lang.String c,
                                                        java.lang.String d)
                                                 throws java.sql.SQLException

  Specified by:
    `getColumnPrivileges` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getCrossReference

    public final java.sql.ResultSet getCrossReference(java.lang.String a,
                                                      java.lang.String b,
                                                      java.lang.String c,
                                                      java.lang.String d,
                                                      java.lang.String e,
                                                      java.lang.String f)
                                               throws java.sql.SQLException

  Specified by:
    `getCrossReference` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDatabaseMajorVersion

    public final int getDatabaseMajorVersion()
                                      throws java.sql.SQLException

  Specified by:
    `getDatabaseMajorVersion` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDatabaseMinorVersion

    public final int getDatabaseMinorVersion()
                                      throws java.sql.SQLException

  Specified by:
    `getDatabaseMinorVersion` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDatabaseProductName

    public final java.lang.String getDatabaseProductName()
                                                  throws java.sql.SQLException

  Specified by:
    `getDatabaseProductName` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDatabaseProductVersion

    public final java.lang.String getDatabaseProductVersion()
                                                     throws java.sql.SQLException

  Specified by:
    `getDatabaseProductVersion` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDefaultTransactionIsolation

    public final int getDefaultTransactionIsolation()
                                             throws java.sql.SQLException

  Specified by:
    `getDefaultTransactionIsolation` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDriverMajorVersion

    public final int getDriverMajorVersion()

  Specified by:
    `getDriverMajorVersion` in interface `java.sql.DatabaseMetaData`

### getDriverMinorVersion

    public final int getDriverMinorVersion()

  Specified by:
    `getDriverMinorVersion` in interface `java.sql.DatabaseMetaData`

### getDriverName

    public final java.lang.String getDriverName()
                                         throws java.sql.SQLException

  Specified by:
    `getDriverName` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getDriverVersion

    public final java.lang.String getDriverVersion()
                                            throws java.sql.SQLException

  Specified by:
    `getDriverVersion` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getExportedKeys

    public final java.sql.ResultSet getExportedKeys(java.lang.String a,
                                                    java.lang.String b,
                                                    java.lang.String c)
                                             throws java.sql.SQLException

  Specified by:
    `getExportedKeys` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getExtraNameCharacters

    public final java.lang.String getExtraNameCharacters()
                                                  throws java.sql.SQLException

  Specified by:
    `getExtraNameCharacters` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getIdentifierQuoteString

    public final java.lang.String getIdentifierQuoteString()
                                                    throws java.sql.SQLException

  Specified by:
    `getIdentifierQuoteString` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getImportedKeys

    public final java.sql.ResultSet getImportedKeys(java.lang.String a,
                                                    java.lang.String b,
                                                    java.lang.String c)
                                             throws java.sql.SQLException

  Specified by:
    `getImportedKeys` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getIndexInfo

    public final java.sql.ResultSet getIndexInfo(java.lang.String a,
                                                 java.lang.String b,
                                                 java.lang.String c,
                                                 boolean d,
                                                 boolean e)
                                          throws java.sql.SQLException

  Specified by:
    `getIndexInfo` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getJDBCMajorVersion

    public final int getJDBCMajorVersion()
                                  throws java.sql.SQLException

  Specified by:
    `getJDBCMajorVersion` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getJDBCMinorVersion

    public final int getJDBCMinorVersion()
                                  throws java.sql.SQLException

  Specified by:
    `getJDBCMinorVersion` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxBinaryLiteralLength

    public final int getMaxBinaryLiteralLength()
                                        throws java.sql.SQLException

  Specified by:
    `getMaxBinaryLiteralLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxCatalogNameLength

    public final int getMaxCatalogNameLength()
                                      throws java.sql.SQLException

  Specified by:
    `getMaxCatalogNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxCharLiteralLength

    public final int getMaxCharLiteralLength()
                                      throws java.sql.SQLException

  Specified by:
    `getMaxCharLiteralLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnNameLength

    public final int getMaxColumnNameLength()
                                     throws java.sql.SQLException

  Specified by:
    `getMaxColumnNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnsInGroupBy

    public final int getMaxColumnsInGroupBy()
                                     throws java.sql.SQLException

  Specified by:
    `getMaxColumnsInGroupBy` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnsInIndex

    public final int getMaxColumnsInIndex()
                                   throws java.sql.SQLException

  Specified by:
    `getMaxColumnsInIndex` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnsInOrderBy

    public final int getMaxColumnsInOrderBy()
                                     throws java.sql.SQLException

  Specified by:
    `getMaxColumnsInOrderBy` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnsInSelect

    public final int getMaxColumnsInSelect()
                                    throws java.sql.SQLException

  Specified by:
    `getMaxColumnsInSelect` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxColumnsInTable

    public final int getMaxColumnsInTable()
                                   throws java.sql.SQLException

  Specified by:
    `getMaxColumnsInTable` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxConnections

    public final int getMaxConnections()
                                throws java.sql.SQLException

  Specified by:
    `getMaxConnections` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxCursorNameLength

    public final int getMaxCursorNameLength()
                                     throws java.sql.SQLException

  Specified by:
    `getMaxCursorNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxIndexLength

    public final int getMaxIndexLength()
                                throws java.sql.SQLException

  Specified by:
    `getMaxIndexLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxProcedureNameLength

    public final int getMaxProcedureNameLength()
                                        throws java.sql.SQLException

  Specified by:
    `getMaxProcedureNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxRowSize

    public final int getMaxRowSize()
                            throws java.sql.SQLException

  Specified by:
    `getMaxRowSize` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxSchemaNameLength

    public final int getMaxSchemaNameLength()
                                     throws java.sql.SQLException

  Specified by:
    `getMaxSchemaNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxStatementLength

    public final int getMaxStatementLength()
                                    throws java.sql.SQLException

  Specified by:
    `getMaxStatementLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxStatements

    public final int getMaxStatements()
                               throws java.sql.SQLException

  Specified by:
    `getMaxStatements` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxTableNameLength

    public final int getMaxTableNameLength()
                                    throws java.sql.SQLException

  Specified by:
    `getMaxTableNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxTablesInSelect

    public final int getMaxTablesInSelect()
                                   throws java.sql.SQLException

  Specified by:
    `getMaxTablesInSelect` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getMaxUserNameLength

    public final int getMaxUserNameLength()
                                   throws java.sql.SQLException

  Specified by:
    `getMaxUserNameLength` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getNumericFunctions

    public final java.lang.String getNumericFunctions()
                                               throws java.sql.SQLException

  Specified by:
    `getNumericFunctions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getPrimaryKeys

    public final java.sql.ResultSet getPrimaryKeys(java.lang.String a,
                                                   java.lang.String b,
                                                   java.lang.String c)
                                            throws java.sql.SQLException

  Specified by:
    `getPrimaryKeys` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getProcedureColumns

    public final java.sql.ResultSet getProcedureColumns(java.lang.String a,
                                                        java.lang.String b,
                                                        java.lang.String c,
                                                        java.lang.String d)
                                                 throws java.sql.SQLException

  Specified by:
    `getProcedureColumns` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getProcedureTerm

    public final java.lang.String getProcedureTerm()
                                            throws java.sql.SQLException

  Specified by:
    `getProcedureTerm` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getProcedures

    public final java.sql.ResultSet getProcedures(java.lang.String a,
                                                  java.lang.String b,
                                                  java.lang.String c)
                                           throws java.sql.SQLException

  Specified by:
    `getProcedures` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSQLKeywords

    public final java.lang.String getSQLKeywords()
                                          throws java.sql.SQLException

  Specified by:
    `getSQLKeywords` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSQLStateType

    public final int getSQLStateType()
                              throws java.sql.SQLException

  Specified by:
    `getSQLStateType` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSchemaTerm

    public final java.lang.String getSchemaTerm()
                                         throws java.sql.SQLException

  Specified by:
    `getSchemaTerm` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSchemas

    public final java.sql.ResultSet getSchemas()
                                        throws java.sql.SQLException

  Specified by:
    `getSchemas` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSearchStringEscape

    public final java.lang.String getSearchStringEscape()
                                                 throws java.sql.SQLException

  Specified by:
    `getSearchStringEscape` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getStringFunctions

    public final java.lang.String getStringFunctions()
                                              throws java.sql.SQLException

  Specified by:
    `getStringFunctions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSuperTables

    public final java.sql.ResultSet getSuperTables(java.lang.String a,
                                                   java.lang.String b,
                                                   java.lang.String c)
                                            throws java.sql.SQLException

  Specified by:
    `getSuperTables` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSuperTypes

    public final java.sql.ResultSet getSuperTypes(java.lang.String a,
                                                  java.lang.String b,
                                                  java.lang.String c)
                                           throws java.sql.SQLException

  Specified by:
    `getSuperTypes` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getSystemFunctions

    public final java.lang.String getSystemFunctions()
                                              throws java.sql.SQLException

  Specified by:
    `getSystemFunctions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getTablePrivileges

    public final java.sql.ResultSet getTablePrivileges(java.lang.String a,
                                                       java.lang.String b,
                                                       java.lang.String c)
                                                throws java.sql.SQLException

  Specified by:
    `getTablePrivileges` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getTableTypes

    public final java.sql.ResultSet getTableTypes()
                                           throws java.sql.SQLException

  Specified by:
    `getTableTypes` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getTimeDateFunctions

    public final java.lang.String getTimeDateFunctions()
                                                throws java.sql.SQLException

  Specified by:
    `getTimeDateFunctions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getTypeInfo

    public final java.sql.ResultSet getTypeInfo()
                                         throws java.sql.SQLException

  Specified by:
    `getTypeInfo` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getUDTs

    public final java.sql.ResultSet getUDTs(java.lang.String a,
                                            java.lang.String b,
                                            java.lang.String c,
                                            int[] d)
                                     throws java.sql.SQLException

  Specified by:
    `getUDTs` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getVersionColumns

    public final java.sql.ResultSet getVersionColumns(java.lang.String a,
                                                      java.lang.String b,
                                                      java.lang.String c)
                                               throws java.sql.SQLException

  Specified by:
    `getVersionColumns` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### insertsAreDetected

    public final boolean insertsAreDetected(int a)
                                     throws java.sql.SQLException

  Specified by:
    `insertsAreDetected` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### isCatalogAtStart

    public final boolean isCatalogAtStart()
                                   throws java.sql.SQLException

  Specified by:
    `isCatalogAtStart` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### locatorsUpdateCopy

    public final boolean locatorsUpdateCopy()
                                     throws java.sql.SQLException

  Specified by:
    `locatorsUpdateCopy` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### nullPlusNonNullIsNull

    public final boolean nullPlusNonNullIsNull()
                                        throws java.sql.SQLException

  Specified by:
    `nullPlusNonNullIsNull` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### nullsAreSortedAtEnd

    public final boolean nullsAreSortedAtEnd()
                                      throws java.sql.SQLException

  Specified by:
    `nullsAreSortedAtEnd` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### nullsAreSortedAtStart

    public final boolean nullsAreSortedAtStart()
                                        throws java.sql.SQLException

  Specified by:
    `nullsAreSortedAtStart` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### nullsAreSortedHigh

    public final boolean nullsAreSortedHigh()
                                     throws java.sql.SQLException

  Specified by:
    `nullsAreSortedHigh` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### nullsAreSortedLow

    public final boolean nullsAreSortedLow()
                                    throws java.sql.SQLException

  Specified by:
    `nullsAreSortedLow` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### othersDeletesAreVisible

    public final boolean othersDeletesAreVisible(int a)
                                          throws java.sql.SQLException

  Specified by:
    `othersDeletesAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### othersInsertsAreVisible

    public final boolean othersInsertsAreVisible(int a)
                                          throws java.sql.SQLException

  Specified by:
    `othersInsertsAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### othersUpdatesAreVisible

    public final boolean othersUpdatesAreVisible(int a)
                                          throws java.sql.SQLException

  Specified by:
    `othersUpdatesAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### ownDeletesAreVisible

    public final boolean ownDeletesAreVisible(int a)
                                       throws java.sql.SQLException

  Specified by:
    `ownDeletesAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### ownInsertsAreVisible

    public final boolean ownInsertsAreVisible(int a)
                                       throws java.sql.SQLException

  Specified by:
    `ownInsertsAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### ownUpdatesAreVisible

    public final boolean ownUpdatesAreVisible(int a)
                                       throws java.sql.SQLException

  Specified by:
    `ownUpdatesAreVisible` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesLowerCaseIdentifiers

    public final boolean storesLowerCaseIdentifiers()
                                             throws java.sql.SQLException

  Specified by:
    `storesLowerCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesLowerCaseQuotedIdentifiers

    public final boolean storesLowerCaseQuotedIdentifiers()
                                                   throws java.sql.SQLException

  Specified by:
    `storesLowerCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesMixedCaseIdentifiers

    public final boolean storesMixedCaseIdentifiers()
                                             throws java.sql.SQLException

  Specified by:
    `storesMixedCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesMixedCaseQuotedIdentifiers

    public final boolean storesMixedCaseQuotedIdentifiers()
                                                   throws java.sql.SQLException

  Specified by:
    `storesMixedCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesUpperCaseIdentifiers

    public final boolean storesUpperCaseIdentifiers()
                                             throws java.sql.SQLException

  Specified by:
    `storesUpperCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### storesUpperCaseQuotedIdentifiers

    public final boolean storesUpperCaseQuotedIdentifiers()
                                                   throws java.sql.SQLException

  Specified by:
    `storesUpperCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsANSI92EntryLevelSQL

    public final boolean supportsANSI92EntryLevelSQL()
                                              throws java.sql.SQLException

  Specified by:
    `supportsANSI92EntryLevelSQL` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsANSI92FullSQL

    public final boolean supportsANSI92FullSQL()
                                        throws java.sql.SQLException

  Specified by:
    `supportsANSI92FullSQL` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsANSI92IntermediateSQL

    public final boolean supportsANSI92IntermediateSQL()
                                                throws java.sql.SQLException

  Specified by:
    `supportsANSI92IntermediateSQL` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsAlterTableWithAddColumn

    public final boolean supportsAlterTableWithAddColumn()
                                                  throws java.sql.SQLException

  Specified by:
    `supportsAlterTableWithAddColumn` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsAlterTableWithDropColumn

    public final boolean supportsAlterTableWithDropColumn()
                                                   throws java.sql.SQLException

  Specified by:
    `supportsAlterTableWithDropColumn` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsBatchUpdates

    public final boolean supportsBatchUpdates()
                                       throws java.sql.SQLException

  Specified by:
    `supportsBatchUpdates` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCatalogsInDataManipulation

    public final boolean supportsCatalogsInDataManipulation()
                                                     throws java.sql.SQLException

  Specified by:
    `supportsCatalogsInDataManipulation` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCatalogsInIndexDefinitions

    public final boolean supportsCatalogsInIndexDefinitions()
                                                     throws java.sql.SQLException

  Specified by:
    `supportsCatalogsInIndexDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCatalogsInPrivilegeDefinitions

    public final boolean supportsCatalogsInPrivilegeDefinitions()
                                                         throws java.sql.SQLException

  Specified by:
    `supportsCatalogsInPrivilegeDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCatalogsInProcedureCalls

    public final boolean supportsCatalogsInProcedureCalls()
                                                   throws java.sql.SQLException

  Specified by:
    `supportsCatalogsInProcedureCalls` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCatalogsInTableDefinitions

    public final boolean supportsCatalogsInTableDefinitions()
                                                     throws java.sql.SQLException

  Specified by:
    `supportsCatalogsInTableDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsColumnAliasing

    public final boolean supportsColumnAliasing()
                                         throws java.sql.SQLException

  Specified by:
    `supportsColumnAliasing` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsConvert

    public final boolean supportsConvert()
                                  throws java.sql.SQLException

  Specified by:
    `supportsConvert` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsConvert

    public final boolean supportsConvert(int a,
                                         int b)
                                  throws java.sql.SQLException

  Specified by:
    `supportsConvert` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCoreSQLGrammar

    public final boolean supportsCoreSQLGrammar()
                                         throws java.sql.SQLException

  Specified by:
    `supportsCoreSQLGrammar` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsCorrelatedSubqueries

    public final boolean supportsCorrelatedSubqueries()
                                               throws java.sql.SQLException

  Specified by:
    `supportsCorrelatedSubqueries` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsDataDefinitionAndDataManipulationTransactions

    public final boolean supportsDataDefinitionAndDataManipulationTransactions()
                                                                        throws java.sql.SQLException

  Specified by:
    `supportsDataDefinitionAndDataManipulationTransactions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsDataManipulationTransactionsOnly

    public final boolean supportsDataManipulationTransactionsOnly()
                                                           throws java.sql.SQLException

  Specified by:
    `supportsDataManipulationTransactionsOnly` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsDifferentTableCorrelationNames

    public final boolean supportsDifferentTableCorrelationNames()
                                                         throws java.sql.SQLException

  Specified by:
    `supportsDifferentTableCorrelationNames` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsExpressionsInOrderBy

    public final boolean supportsExpressionsInOrderBy()
                                               throws java.sql.SQLException

  Specified by:
    `supportsExpressionsInOrderBy` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsExtendedSQLGrammar

    public final boolean supportsExtendedSQLGrammar()
                                             throws java.sql.SQLException

  Specified by:
    `supportsExtendedSQLGrammar` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsFullOuterJoins

    public final boolean supportsFullOuterJoins()
                                         throws java.sql.SQLException

  Specified by:
    `supportsFullOuterJoins` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsGetGeneratedKeys

    public final boolean supportsGetGeneratedKeys()
                                           throws java.sql.SQLException

  Specified by:
    `supportsGetGeneratedKeys` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsGroupBy

    public final boolean supportsGroupBy()
                                  throws java.sql.SQLException

  Specified by:
    `supportsGroupBy` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsGroupByBeyondSelect

    public final boolean supportsGroupByBeyondSelect()
                                              throws java.sql.SQLException

  Specified by:
    `supportsGroupByBeyondSelect` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsGroupByUnrelated

    public final boolean supportsGroupByUnrelated()
                                           throws java.sql.SQLException

  Specified by:
    `supportsGroupByUnrelated` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsIntegrityEnhancementFacility

    public final boolean supportsIntegrityEnhancementFacility()
                                                       throws java.sql.SQLException

  Specified by:
    `supportsIntegrityEnhancementFacility` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsLikeEscapeClause

    public final boolean supportsLikeEscapeClause()
                                           throws java.sql.SQLException

  Specified by:
    `supportsLikeEscapeClause` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsLimitedOuterJoins

    public final boolean supportsLimitedOuterJoins()
                                            throws java.sql.SQLException

  Specified by:
    `supportsLimitedOuterJoins` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsMinimumSQLGrammar

    public final boolean supportsMinimumSQLGrammar()
                                            throws java.sql.SQLException

  Specified by:
    `supportsMinimumSQLGrammar` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsMixedCaseIdentifiers

    public final boolean supportsMixedCaseIdentifiers()
                                               throws java.sql.SQLException

  Specified by:
    `supportsMixedCaseIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsMixedCaseQuotedIdentifiers

    public final boolean supportsMixedCaseQuotedIdentifiers()
                                                     throws java.sql.SQLException

  Specified by:
    `supportsMixedCaseQuotedIdentifiers` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsMultipleOpenResults

    public final boolean supportsMultipleOpenResults()
                                              throws java.sql.SQLException

  Specified by:
    `supportsMultipleOpenResults` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsMultipleResultSets

    public final boolean supportsMultipleResultSets()
                                             throws java.sql.SQLException

  Specified by:
    `supportsMultipleResultSets` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsMultipleTransactions

    public final boolean supportsMultipleTransactions()
                                               throws java.sql.SQLException

  Specified by:
    `supportsMultipleTransactions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsNamedParameters

    public final boolean supportsNamedParameters()
                                          throws java.sql.SQLException

  Specified by:
    `supportsNamedParameters` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsNonNullableColumns

    public final boolean supportsNonNullableColumns()
                                             throws java.sql.SQLException

  Specified by:
    `supportsNonNullableColumns` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOpenCursorsAcrossCommit

    public final boolean supportsOpenCursorsAcrossCommit()
                                                  throws java.sql.SQLException

  Specified by:
    `supportsOpenCursorsAcrossCommit` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOpenCursorsAcrossRollback

    public final boolean supportsOpenCursorsAcrossRollback()
                                                    throws java.sql.SQLException

  Specified by:
    `supportsOpenCursorsAcrossRollback` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOpenStatementsAcrossCommit

    public final boolean supportsOpenStatementsAcrossCommit()
                                                     throws java.sql.SQLException

  Specified by:
    `supportsOpenStatementsAcrossCommit` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOpenStatementsAcrossRollback

    public final boolean supportsOpenStatementsAcrossRollback()
                                                       throws java.sql.SQLException

  Specified by:
    `supportsOpenStatementsAcrossRollback` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOrderByUnrelated

    public final boolean supportsOrderByUnrelated()
                                           throws java.sql.SQLException

  Specified by:
    `supportsOrderByUnrelated` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsOuterJoins

    public final boolean supportsOuterJoins()
                                     throws java.sql.SQLException

  Specified by:
    `supportsOuterJoins` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsPositionedDelete

    public final boolean supportsPositionedDelete()
                                           throws java.sql.SQLException

  Specified by:
    `supportsPositionedDelete` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsPositionedUpdate

    public final boolean supportsPositionedUpdate()
                                           throws java.sql.SQLException

  Specified by:
    `supportsPositionedUpdate` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsResultSetConcurrency

    public final boolean supportsResultSetConcurrency(int a,
                                                      int b)
                                               throws java.sql.SQLException

  Specified by:
    `supportsResultSetConcurrency` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsResultSetHoldability

    public final boolean supportsResultSetHoldability(int a)
                                               throws java.sql.SQLException

  Specified by:
    `supportsResultSetHoldability` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsResultSetType

    public final boolean supportsResultSetType(int a)
                                        throws java.sql.SQLException

  Specified by:
    `supportsResultSetType` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSavepoints

    public final boolean supportsSavepoints()
                                     throws java.sql.SQLException

  Specified by:
    `supportsSavepoints` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSchemasInDataManipulation

    public final boolean supportsSchemasInDataManipulation()
                                                    throws java.sql.SQLException

  Specified by:
    `supportsSchemasInDataManipulation` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSchemasInIndexDefinitions

    public final boolean supportsSchemasInIndexDefinitions()
                                                    throws java.sql.SQLException

  Specified by:
    `supportsSchemasInIndexDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSchemasInPrivilegeDefinitions

    public final boolean supportsSchemasInPrivilegeDefinitions()
                                                        throws java.sql.SQLException

  Specified by:
    `supportsSchemasInPrivilegeDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSchemasInProcedureCalls

    public final boolean supportsSchemasInProcedureCalls()
                                                  throws java.sql.SQLException

  Specified by:
    `supportsSchemasInProcedureCalls` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSchemasInTableDefinitions

    public final boolean supportsSchemasInTableDefinitions()
                                                    throws java.sql.SQLException

  Specified by:
    `supportsSchemasInTableDefinitions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSelectForUpdate

    public final boolean supportsSelectForUpdate()
                                          throws java.sql.SQLException

  Specified by:
    `supportsSelectForUpdate` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsStatementPooling

    public final boolean supportsStatementPooling()
                                           throws java.sql.SQLException

  Specified by:
    `supportsStatementPooling` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsStoredProcedures

    public final boolean supportsStoredProcedures()
                                           throws java.sql.SQLException

  Specified by:
    `supportsStoredProcedures` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSubqueriesInComparisons

    public final boolean supportsSubqueriesInComparisons()
                                                  throws java.sql.SQLException

  Specified by:
    `supportsSubqueriesInComparisons` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSubqueriesInExists

    public final boolean supportsSubqueriesInExists()
                                             throws java.sql.SQLException

  Specified by:
    `supportsSubqueriesInExists` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSubqueriesInIns

    public final boolean supportsSubqueriesInIns()
                                          throws java.sql.SQLException

  Specified by:
    `supportsSubqueriesInIns` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsSubqueriesInQuantifieds

    public final boolean supportsSubqueriesInQuantifieds()
                                                  throws java.sql.SQLException

  Specified by:
    `supportsSubqueriesInQuantifieds` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsTableCorrelationNames

    public final boolean supportsTableCorrelationNames()
                                                throws java.sql.SQLException

  Specified by:
    `supportsTableCorrelationNames` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsTransactionIsolationLevel

    public final boolean supportsTransactionIsolationLevel(int a)
                                                    throws java.sql.SQLException

  Specified by:
    `supportsTransactionIsolationLevel` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsTransactions

    public final boolean supportsTransactions()
                                       throws java.sql.SQLException

  Specified by:
    `supportsTransactions` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsUnion

    public final boolean supportsUnion()
                                throws java.sql.SQLException

  Specified by:
    `supportsUnion` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### supportsUnionAll

    public final boolean supportsUnionAll()
                                   throws java.sql.SQLException

  Specified by:
    `supportsUnionAll` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### updatesAreDetected

    public final boolean updatesAreDetected(int a)
                                     throws java.sql.SQLException

  Specified by:
    `updatesAreDetected` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### usesLocalFilePerTable

    public final boolean usesLocalFilePerTable()
                                        throws java.sql.SQLException

  Specified by:
    `usesLocalFilePerTable` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### usesLocalFiles

    public final boolean usesLocalFiles()
                                 throws java.sql.SQLException

  Specified by:
    `usesLocalFiles` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getURL

    public final java.lang.String getURL()
                                  throws java.sql.SQLException

  Specified by:
    `getURL` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### isReadOnly

    public final boolean isReadOnly()
                             throws java.sql.SQLException

  Specified by:
    `isReadOnly` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getAttributes

    public final java.sql.ResultSet getAttributes(java.lang.String a,
                                                  java.lang.String b,
                                                  java.lang.String c,
                                                  java.lang.String d)
                                           throws java.sql.SQLException

  Specified by:
    `getAttributes` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getUserName

    public final java.lang.String getUserName()
                                       throws java.sql.SQLException

  Specified by:
    `getUserName` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getConnection

    public final java.sql.Connection getConnection()
                                            throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getColumns

    public final java.sql.ResultSet getColumns(java.lang.String a,
                                               java.lang.String b,
                                               java.lang.String c,
                                               java.lang.String d)
                                        throws java.sql.SQLException

  Specified by:
    `getColumns` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

### getTables

    public final java.sql.ResultSet getTables(java.lang.String a,
                                              java.lang.String b,
                                              java.lang.String c,
                                              java.lang.String[] d)
                                       throws java.sql.SQLException

  Specified by:
    `getTables` in interface `java.sql.DatabaseMetaData`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD